Bug 163165 - kalarm crashes after setting an alarm
kalarm crashes after setting an alarm
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kdepim (Show other bugs)
3.0
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
desktop-bugs@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-13 13:03 EDT by sa@tmt.ca.boeing.com
Modified: 2012-06-20 12:09 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 12:09:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description sa@tmt.ca.boeing.com 2005-07-13 13:03:20 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.8) Gecko/20050512 Red Hat/1.7.8-1.1.3.1

Description of problem:
kalarm (v0.8.5) exits with a segmentation violation after
setting a new alarm.  A simple, Action->New Alarm, followed
by setting a date/time of one minute later and hitting OK
yields the signal 11, SIGSEGV.  The backtrace follows:

(no debugging symbols found)
Using host libthread_db library "/lib64/tls/libthread_db.so.1".
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
[Thread debugging using libthread_db enabled]
[New Thread 182966492128 (LWP 30855)]
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
0x0000002a97ad3926 in waitpid () from /lib64/tls/libpthread.so.0
#0  0x0000002a97ad3926 in waitpid () from /lib64/tls/libpthread.so.0
#1  0x0000002a9648288b in KCrash::defaultCrashHandler ()
   from /usr/lib64/libkdecore.so.4
#2  <signal handler called>
#3  0x0000002a983c3a0c in __find_specmb () from /lib64/tls/libc.so.6
#4  0x0000002a983a7053 in vfprintf () from /lib64/tls/libc.so.6
#5  0x0000002a983c7a05 in vsprintf () from /lib64/tls/libc.so.6
#6  0x0000002a983afefa in sprintf () from /lib64/tls/libc.so.6
#7  0x0000002a956e5621 in print_date_to_string () from /usr/lib64/libkcal.so.2
#8  0x0000002a956e56b9 in print_datetime_to_string ()
   from /usr/lib64/libkcal.so.2
#9  0x0000002a956e5759 in icalvalue_datetime_as_ical_string ()
   from /usr/lib64/libkcal.so.2
#10 0x0000002a956e5c3f in icalvalue_as_ical_string ()
   from /usr/lib64/libkcal.so.2
#11 0x0000002a956e105e in icalproperty_as_ical_string ()
   from /usr/lib64/libkcal.so.2
#12 0x0000002a956d4b77 in icalcomponent_as_ical_string ()
   from /usr/lib64/libkcal.so.2
#13 0x0000002a956d4bc0 in icalcomponent_as_ical_string ()
   from /usr/lib64/libkcal.so.2
#14 0x0000002a956c0f4f in KCal::ICalFormat::toString ()
   from /usr/lib64/libkcal.so.2
#15 0x0000002a956c0ab7 in KCal::ICalFormat::save ()
   from /usr/lib64/libkcal.so.2
#16 0x0000002a956cc2db in KCal::FileStorage::save ()
   from /usr/lib64/libkcal.so.2
#17 0x0000002a956b4b37 in KCal::CalendarLocal::save ()
   from /usr/lib64/libkcal.so.2
#18 0x00000000004280f0 in QWidget::setWFlags ()
#19 0x000000000042f55f in QMemArray<char>::detach ()
#20 0x000000000043440a in KMainWindow::readProperties ()
#21 0x0000000000432ac0 in KMainWindow::readProperties ()
#22 0x0000002a96f0f9a3 in QObject::activate_signal ()
   from /usr/lib64/qt-3.1/lib/libqt-mt.so.3
#23 0x0000002a96f0f868 in QObject::activate_signal ()
   from /usr/lib64/qt-3.1/lib/libqt-mt.so.3
#24 0x0000002a95ffc5c4 in KAction::activated () from /usr/lib64/libkdeui.so.4
#25 0x0000002a95ff0289 in KAction::slotActivated ()
   from /usr/lib64/libkdeui.so.4
#26 0x0000002a95ffc77b in KAction::qt_invoke () from /usr/lib64/libkdeui.so.4
#27 0x0000002a96f0f9a3 in QObject::activate_signal ()
   from /usr/lib64/qt-3.1/lib/libqt-mt.so.3
#28 0x0000002a97185ee2 in QSignal::signal ()
   from /usr/lib64/qt-3.1/lib/libqt-mt.so.3
#29 0x0000002a96f25564 in QSignal::activate ()
   from /usr/lib64/qt-3.1/lib/libqt-mt.so.3
#30 0x0000002a96fde34b in QPopupMenu::mouseReleaseEvent ()
   from /usr/lib64/qt-3.1/lib/libqt-mt.so.3
#31 0x0000002a96f3c39f in QWidget::event ()
   from /usr/lib64/qt-3.1/lib/libqt-mt.so.3
#32 0x0000002a96ebcea3 in QApplication::internalNotify ()
   from /usr/lib64/qt-3.1/lib/libqt-mt.so.3
#33 0x0000002a96ebc900 in QApplication::notify ()
   from /usr/lib64/qt-3.1/lib/libqt-mt.so.3
#34 0x0000002a96421095 in KApplication::notify ()
   from /usr/lib64/libkdecore.so.4
#35 0x0000002a96e6dcb7 in QETWidget::translateMouseEvent ()
   from /usr/lib64/qt-3.1/lib/libqt-mt.so.3
#36 0x0000002a96e6bce9 in QApplication::x11ProcessEvent ()
   from /usr/lib64/qt-3.1/lib/libqt-mt.so.3
#37 0x0000002a96e7e64d in QEventLoop::processEvents ()
   from /usr/lib64/qt-3.1/lib/libqt-mt.so.3
#38 0x0000002a96ece26f in QEventLoop::enterLoop ()
   from /usr/lib64/qt-3.1/lib/libqt-mt.so.3
#39 0x0000002a96ece132 in QEventLoop::exec ()
   from /usr/lib64/qt-3.1/lib/libqt-mt.so.3
#40 0x0000002a96ebd025 in QApplication::exec ()
   from /usr/lib64/qt-3.1/lib/libqt-mt.so.3
#41 0x000000000042a277 in QMemArray<char>::detach ()
#42 0x0000002a9837b197 in __libc_start_main () from /lib64/tls/libc.so.6
#43 0x0000000000421e6a in ?? ()
#44 0x0000007fbfff93c8 in ?? ()
#45 0x0000000000000000 in ?? ()


Version-Release number of selected component (if applicable):
kdepim-3.1.3-3.5

How reproducible:
Always

Steps to Reproduce:
1.Action -> New Alarm
2.Set a date/time (just one minute later than current time should suffice)
3.Hitting OK yields a signal 11, SIGSEGV
  

Additional info:

Environment, RHEL 3 Update 5 EM64T (Xeon processors)
Comment 1 Ngo Than 2005-07-14 12:51:50 EDT
Ok, i will upload new kdepim-3.1.3-3.7 on ftp://people.redhat.com/rhel3 today.
It should fix this problem. Please let me now if it's fixed. Thanks
Comment 2 Ngo Than 2005-07-14 13:12:40 EDT
it's now available on ftp://people.redhat.com/than/rhel3.
Comment 3 sa@tmt.ca.boeing.com 2005-07-14 13:29:55 EDT
Wow, that was fast!  Yes, kdepim-3.1.3-3.7 did indeed fix the problem.
Hooray, we can now set alarms!  Thanks much!
Comment 4 Jiri Pallich 2012-06-20 12:09:50 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.